<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: SDImageCache.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_77ebe3071d97df245b5e45385777f804.html">DKCameraPicker</a></li><li class="navelem"><a class="el" href="dir_43f5ca2fe4733652d7a8272cdd759b0e.html">SDWebImage.framework</a></li><li class="navelem"><a class="el" href="dir_6fcdee285dd3b624c094a59c9350aa1b.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SDImageCache.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * This file is part of the SDWebImage package.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * (c) Olivier Poitrey &lt;rs@dailymotion.com&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * For the full copyright and license information, please view the LICENSE</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * file that was distributed with this source code.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &quot;SDWebImageCompat.h&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#import &quot;SDWebImageDefine.h&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#import &quot;SDImageCacheConfig.h&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#import &quot;SDImageCacheDefine.h&quot;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">typedef</span> NS_OPTIONS(NSUInteger, SDImageCacheOptions) {</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    SDImageCacheQueryMemoryData = 1 &lt;&lt; 0,</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    SDImageCacheQueryMemoryDataSync = 1 &lt;&lt; 1,</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    SDImageCacheQueryDiskDataSync = 1 &lt;&lt; 2,</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    SDImageCacheScaleDownLargeImages = 1 &lt;&lt; 3,</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    SDImageCacheAvoidDecodeImage = 1 &lt;&lt; 4,</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    SDImageCacheDecodeFirstFrameOnly = 1 &lt;&lt; 5,</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    SDImageCachePreloadAllFrames = 1 &lt;&lt; 6</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;};</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="interface_s_d_image_cache.html">   53</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_s_d_image_cache.html">SDImageCache</a> : NSObject</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#pragma mark - Properties</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="interface_s_d_image_cache.html#a9935c226b87647d15fc164c4b885338f">   61</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy, nonnull, readonly) <a class="code" href="interface_s_d_image_cache_config.html">SDImageCacheConfig</a> *<a class="code" href="structconfig__s.html">config</a>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="interface_s_d_image_cache.html#a3117c47a93d148b5cb7019ccd226f708">   66</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy, nonnull, readonly) NSString *<a class="code" href="interface_s_d_image_cache.html#a3117c47a93d148b5cb7019ccd226f708">diskCachePath</a>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; </div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="interface_s_d_image_cache.html#a8b7fb1570a0a96f97375a961a87d703a">   73</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy, nullable) SDImageCacheAdditionalCachePathBlock <a class="code" href="interface_s_d_image_cache.html#a8b7fb1570a0a96f97375a961a87d703a">additionalCachePathBlock</a>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#pragma mark - Singleton and initialization</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="interface_s_d_image_cache.html#a816d421057c71254395793a2d473286a">   80</a></span>&#160;<span class="keyword">@property</span> (nonatomic, <span class="keyword">class</span>, readonly, nonnull) <a class="code" href="interface_s_d_image_cache.html">SDImageCache</a> *<a class="code" href="interface_s_d_image_cache.html#a816d421057c71254395793a2d473286a">sharedImageCache</a>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; </div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;- (nonnull instancetype)initWithNamespace:(nonnull NSString *)ns;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160; </div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;- (nonnull instancetype)initWithNamespace:(nonnull NSString *)ns</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;                       diskCacheDirectory:(nullable NSString *)directory;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160; </div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;- (nonnull instancetype)initWithNamespace:(nonnull NSString *)ns</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;                       diskCacheDirectory:(nullable NSString *)directory</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;                                   config:(nullable <a class="code" href="interface_s_d_image_cache_config.html">SDImageCacheConfig</a> *)config NS_DESIGNATED_INITIALIZER;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; </div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="preprocessor">#pragma mark - Cache paths</span></div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160; </div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;- (nullable NSString *)cachePathForKey:(nullable NSString *)key;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160; </div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="preprocessor">#pragma mark - Store Ops</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160; </div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;- (void)storeImage:(nullable UIImage *)image</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;            forKey:(nullable NSString *)key</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        completion:(nullable SDWebImageNoParamsBlock)completionBlock;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160; </div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;- (void)storeImage:(nullable UIImage *)image</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;            forKey:(nullable NSString *)key</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;            toDisk:(BOOL)toDisk</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        completion:(nullable SDWebImageNoParamsBlock)completionBlock;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160; </div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;- (void)storeImage:(nullable UIImage *)image</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;         imageData:(nullable NSData *)imageData</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;            forKey:(nullable NSString *)key</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;            toDisk:(BOOL)toDisk</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;        completion:(nullable SDWebImageNoParamsBlock)completionBlock;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160; </div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;- (void)storeImageToMemory:(nullable UIImage*)image</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;                    forKey:(nullable NSString *)key;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160; </div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;- (void)storeImageDataToDisk:(nullable NSData *)imageData</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;                      forKey:(nullable NSString *)key;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160; </div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160; </div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="preprocessor">#pragma mark - Contains and Check Ops</span></div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160; </div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;- (void)diskImageExistsWithKey:(nullable NSString *)key completion:(nullable SDImageCacheCheckCompletionBlock)completionBlock;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160; </div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;- (BOOL)diskImageDataExistsWithKey:(nullable NSString *)key;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160; </div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;<span class="preprocessor">#pragma mark - Query and Retrieve Ops</span></div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160; </div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;- (nullable NSData *)diskImageDataForKey:(nullable NSString *)key;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160; </div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;- (nullable NSOperation *)queryCacheOperationForKey:(nullable NSString *)key done:(nullable SDImageCacheQueryCompletionBlock)doneBlock;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160; </div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;- (nullable NSOperation *)queryCacheOperationForKey:(nullable NSString *)key options:(SDImageCacheOptions)options done:(nullable SDImageCacheQueryCompletionBlock)doneBlock;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160; </div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;- (nullable NSOperation *)queryCacheOperationForKey:(nullable NSString *)key options:(SDImageCacheOptions)options context:(nullable SDWebImageContext *)context done:(nullable SDImageCacheQueryCompletionBlock)doneBlock;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160; </div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;- (nullable UIImage *)imageFromMemoryCacheForKey:(nullable NSString *)key;</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160; </div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;- (nullable UIImage *)imageFromDiskCacheForKey:(nullable NSString *)key;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160; </div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;- (nullable UIImage *)imageFromCacheForKey:(nullable NSString *)key;</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160; </div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;<span class="preprocessor">#pragma mark - Remove Ops</span></div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160; </div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;- (void)removeImageForKey:(nullable NSString *)key withCompletion:(nullable SDWebImageNoParamsBlock)completion;</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160; </div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;- (void)removeImageForKey:(nullable NSString *)key fromDisk:(BOOL)fromDisk withCompletion:(nullable SDWebImageNoParamsBlock)completion;</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160; </div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;- (void)removeImageFromMemoryForKey:(nullable NSString *)key;</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160; </div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;- (void)removeImageFromDiskForKey:(nullable NSString *)key;</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160; </div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;<span class="preprocessor">#pragma mark - Cache clean Ops</span></div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160; </div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;- (void)<a class="code" href="interface_s_d_image_cache.html#a931b161c379dd952affffe8c0544527d">clearMemory</a>;</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160; </div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;- (void)clearDiskOnCompletion:(nullable SDWebImageNoParamsBlock)completion;</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160; </div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;- (void)deleteOldFilesWithCompletionBlock:(nullable SDWebImageNoParamsBlock)completionBlock;</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160; </div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;<span class="preprocessor">#pragma mark - Cache Info</span></div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160; </div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;- (NSUInteger)<a class="code" href="interface_s_d_image_cache.html#aa93e73428cc95f3d2db0192d492a4568">totalDiskSize</a>;</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160; </div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;- (NSUInteger)<a class="code" href="interface_s_d_image_cache.html#ab2c5c2db3edbed633eed073602d85e6f">totalDiskCount</a>;</div><div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160; </div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;- (void)calculateSizeWithCompletionBlock:(nullable SDImageCacheCalculateSizeBlock)completionBlock;</div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160; </div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160; </div><div class="line"><a name="l00343"></a><span class="lineno"><a class="line" href="category_s_d_image_cache_07_s_d_image_cache_08.html">  343</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="category_s_d_image_cache_07_s_d_image_cache_08.html">SDImageCache (SDImageCache)</a> &lt;<a class="code" href="interface_s_d_image_cache.html">SDImageCache</a>&gt;</div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160; </div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_s_d_image_cache_html"><div class="ttname"><a href="interface_s_d_image_cache.html">SDImageCache</a></div><div class="ttdef"><b>Definition:</b> SDImageCache.h:53</div></div>
<div class="ttc" id="ainterface_s_d_image_cache_html_a3117c47a93d148b5cb7019ccd226f708"><div class="ttname"><a href="interface_s_d_image_cache.html#a3117c47a93d148b5cb7019ccd226f708">SDImageCache::diskCachePath</a></div><div class="ttdeci">NSString * diskCachePath</div><div class="ttdef"><b>Definition:</b> SDImageCache.h:66</div></div>
<div class="ttc" id="acategory_s_d_image_cache_07_s_d_image_cache_08_html"><div class="ttname"><a href="category_s_d_image_cache_07_s_d_image_cache_08.html">SDImageCache(SDImageCache)</a></div><div class="ttdef"><b>Definition:</b> SDImageCache.h:343</div></div>
<div class="ttc" id="ainterface_s_d_image_cache_html_aa93e73428cc95f3d2db0192d492a4568"><div class="ttname"><a href="interface_s_d_image_cache.html#aa93e73428cc95f3d2db0192d492a4568">-[SDImageCache totalDiskSize]</a></div><div class="ttdeci">NSUInteger totalDiskSize()</div></div>
<div class="ttc" id="ainterface_s_d_image_cache_html_a8b7fb1570a0a96f97375a961a87d703a"><div class="ttname"><a href="interface_s_d_image_cache.html#a8b7fb1570a0a96f97375a961a87d703a">SDImageCache::additionalCachePathBlock</a></div><div class="ttdeci">SDImageCacheAdditionalCachePathBlock additionalCachePathBlock</div><div class="ttdef"><b>Definition:</b> SDImageCache.h:73</div></div>
<div class="ttc" id="ainterface_s_d_image_cache_html_a816d421057c71254395793a2d473286a"><div class="ttname"><a href="interface_s_d_image_cache.html#a816d421057c71254395793a2d473286a">SDImageCache::sharedImageCache</a></div><div class="ttdeci">SDImageCache * sharedImageCache</div><div class="ttdef"><b>Definition:</b> SDImageCache.h:80</div></div>
<div class="ttc" id="ainterface_s_d_image_cache_html_a931b161c379dd952affffe8c0544527d"><div class="ttname"><a href="interface_s_d_image_cache.html#a931b161c379dd952affffe8c0544527d">-[SDImageCache clearMemory]</a></div><div class="ttdeci">void clearMemory()</div></div>
<div class="ttc" id="ainterface_s_d_image_cache_config_html"><div class="ttname"><a href="interface_s_d_image_cache_config.html">SDImageCacheConfig</a></div><div class="ttdef"><b>Definition:</b> SDImageCacheConfig.h:24</div></div>
<div class="ttc" id="astructconfig__s_html"><div class="ttname"><a href="structconfig__s.html">config_s</a></div><div class="ttdef"><b>Definition:</b> deflate.c:117</div></div>
<div class="ttc" id="ainterface_s_d_image_cache_html_ab2c5c2db3edbed633eed073602d85e6f"><div class="ttname"><a href="interface_s_d_image_cache.html#ab2c5c2db3edbed633eed073602d85e6f">-[SDImageCache totalDiskCount]</a></div><div class="ttdeci">NSUInteger totalDiskCount()</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
